/* @(#) tinterp.h -- uo, 23.5.94 */

#ifndef TINTERP_H
#define TINTERP_H

#define TIP_NOTDONE 	((size_t) -1)
#define TIP_ERROR		((size_t) -2)

extern char *tip_errtext;

typedef size_t (*tip_fn_t) (const char *this, const char **next, 
	char *to, size_t maxlen);

typedef struct 
{
	char magic;
	tip_fn_t interp;
} tip_t;


size_t tip_dollar(const char *, const char **, char *, size_t);
size_t tip_tilde(const char *, const char **, char *, size_t);
size_t tip_backslash(const char *, const char **, char *, size_t);

size_t tip_interpret(tip_t *tab, const char *format, char *buffer, size_t buflen);

int tip_init(void);
int tip_deinit(void);

#endif

