#ifndef SMTP_H
#define SMTP_H

#ifdef FEATURE_SMTP

	/* Holt eine smtp-reply aus den Kanal f, returniert den numerischen
	 * Code und setzt *s auf den vollen Text der Antwort. s durch NULL 
	 * sein, in dem Fall wird der antworttext nicht gemeldet.
	 */
int smtp_get_reply (FILE *f,char **s);
	/* Oeffnet eine smtp-Verbindung zum genannten Host */
FILE *smtp_open(char *host);
	/* Schliet eine smtp-Verbindung */
void smtp_close(FILE *f);
	/* Schickt eine Nachricht ber eine smtp-Verbindung */
	/* Returncode: 
	 * 0 -> Nachricht versendet
	 * 1 -> Nachricht nicht versendet 
	 * 2 -> Verbindung tot 
	 */
int smtp_mail(FILE *f,metamsg_t *meta, int no_reply);

#endif

#endif
