#ifndef RFC_H
#define RFC_H

#include "metamsg.h"

/*
 * RFC-Routinen 
 */
	/* time_t -> "Fri, 13 Mar 1994 18:19:20 GMT" */
size_t rfc_make_date (char *buf,size_t buflen,time_t t);
	/* Headerzeile nach 7 bit, via Mime oder entumlauten */
size_t rfc_head27bit(BOOLEAN mime, char *to, char *from);
	/* Subject:  */
size_t mime_code_headline(char *outstring,const unsigned char *instring);
	/*  */
size_t mime_code_headstr(char *outstring,const unsigned char *instring);
	/* returniert Zeiger auf Kopie des Inhalts */
char * rfc_find_header (const char *article, const char *headername);
int rfc_read_message(char *fname,buf_t *buf);
int rfc_read_message_fd(int fd,buf_t *buf);
int rfc_read_message_bytes(int fd, size_t bytes, buf_t *buf);

int rfc_to_meta(buf_t *buf,metamsg_t *meta);
void rfc_print_message(metamsg_t *meta, FILE *f, char *crlf,int dotescape);
int rfc_adress_to_metalist(int meckern,metalist_t **ml,char *s);
BOOLEAN rnews_batch(const char *filename, metamsg_t *meta,
    FILE *f, BOOLEAN (*call_fn)(FILE *f, metamsg_t *meta));


#endif
