#if !defined(XMALLOC_H)

#undef MEMDEBUG

/*
 * Speicherhandling
 */
extern void (*xmemfailure)(const char *,size_t, const char *, int);
char * xstrdup(const char *s, const char *fname,int line);
#define XSTRDUP(s) xstrdup(s,__FILE__,__LINE__)
void * xmalloc(size_t size, const char *fname,int line);
#define XMALLOC(s) xmalloc(s,__FILE__,__LINE__)
void * xrealloc(void *p,size_t size,const char *fname,int line);
#define XREALLOC(s,l) xrealloc(s,l,__FILE__,__LINE__)
void * xcalloc(size_t count, size_t esize,const  char *fname, int line);
#define XCALLOC(c,es) xcalloc(c,es,__FILE__,__LINE__)

#ifdef MEMDEBUG
void xfree(void *,const char *,int);
#	define XFREE(x) xfree(x,__FILE__,__LINE__)
#else
#	define XFREE(x) free(x)
#endif

#endif
