#! /bin/sh

if [ $# -ne 1 ] ; then
	echo "usage: infoconvert <action>" >&2
	exit 2
fi
action=$1
base=`getmausval -V spoolbase $action`

awk '
BEGIN { FS="," }
/=.*,/ {
	split($1,ar,"=");
	printf("#%s\n",ar[1]);
	printf("c%s\n",ar[2]);
	printf("p%s\n",$2);
	printf("d%s\n",$3);
	printf("FC+\n");
	printf("fb+d+m+\n");
	}
END { print "#" }
' $base/$action/etc/info.crc >$base/$action/etc/info.list

